Loading...
Searching...
No Matches
pcl::octree::OctreeContainerPointIndex Class Reference

Octree container class that does store a single point index. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerPointIndex:

## Public Member Functions

| OctreeContainerPointIndex ()
| Empty constructor.
virtual OctreeContainerPointIndex * | deepCopy () const
| Octree deep copy method.
bool | operator== (const OctreeContainerBase &other) const override
| Equal comparison operator.
void | addPointIndex (index_t data_arg) override
| Add point index to container memory.
index_t | getPointIndex () const override
| Retrieve point index from container.
void | getPointIndices (Indices &data_vector_arg) const override
| Retrieve point indices from container.
uindex_t | getSize () const override
| Get size of container (number of DataT objects)
void | reset () override
| Reset leaf node memory to zero.
Public Member Functions inherited from pcl::octree::OctreeContainerBase
virtual | ~OctreeContainerBase ()=default
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator.
void | getPointIndex (index_t &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices.

## Protected Attributes

index_t | data_
| Point index stored in octree.

## Detailed Description

Octree container class that does store a single point index.

Note
  Enables the octree to store a single DataT element within its leaf nodes.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 183 of file octree_container.h.

## Constructor & Destructor Documentation

## OctreeContainerPointIndex()

pcl::octree::OctreeContainerPointIndex::OctreeContainerPointIndex | ( |  | ) |

inline

Empty constructor.

Definition at line 186 of file octree_container.h.

References reset().

Referenced by deepCopy().

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreeContainerPointIndex::addPointIndex | ( | index_t | data_arg | ) |

inline override virtual

Add point index to container memory.

This container stores a only a single point index.

Parameters

  [in] | data_arg | index to be stored within leaf node.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 211 of file octree_container.h.

References data_.

## deepCopy()

virtual OctreeContainerPointIndex * pcl::octree::OctreeContainerPointIndex::deepCopy | ( |  | ) | const

inline virtual

Octree deep copy method.

Definition at line 190 of file octree_container.h.

References OctreeContainerPointIndex().

## getPointIndex()

index_t pcl::octree::OctreeContainerPointIndex::getPointIndex | ( |  | ) | const

inline override virtual

Retrieve point index from container.

This container stores a only a single point index

Returns
  index stored within container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 221 of file octree_container.h.

References data_.

## getPointIndices()

void pcl::octree::OctreeContainerPointIndex::getPointIndices | ( | Indices & | data_vector_arg | ) | const

inline override virtual

Retrieve point indices from container.

This container stores only a single point index

Parameters

  [out] | data_vector_arg | vector of point indices to be stored within data vector

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 232 of file octree_container.h.

References data_.

## getSize()

uindex_t pcl::octree::OctreeContainerPointIndex::getSize | ( |  | ) | const

inline override virtual

Get size of container (number of DataT objects)

Returns
  number of DataT elements in leaf node container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 242 of file octree_container.h.

References data_.

## operator==()

bool pcl::octree::OctreeContainerPointIndex::operator== | ( | const OctreeContainerBase & | other | ) | const

inline override virtual

Equal comparison operator.

Parameters

  [in] | other | OctreeContainerBase to compare with

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 199 of file octree_container.h.

References data_.

## reset()

void pcl::octree::OctreeContainerPointIndex::reset | ( |  | ) |

inline override virtual

Reset leaf node memory to zero.

Implements pcl::octree::OctreeContainerBase.

Definition at line 249 of file octree_container.h.

References data_.

Referenced by OctreeContainerPointIndex().

## Member Data Documentation

## data_

index_t pcl::octree::OctreeContainerPointIndex::data_

protected

Point index stored in octree.

Definition at line 256 of file octree_container.h.

Referenced by addPointIndex(), getPointIndex(), getPointIndices(), getSize(), operator==(), and reset().

The documentation for this class was generated from the following file:

- pcl/octree/octree_container.h